⚠️ **Important thing to do before upgrading:**  
⚠️ If you enabled the "Enable DNS-over-HTTPS" option in your config panel, please disable it and execute the following command before upgrading, else the upgrade will fail!

```bash
yunohost firewall disallow Both 853 --no-reload && yunohost firewall disallow Both 784
```

---

From this 0.107.49~ynh1 version, some things have changed:  

- port 53 is no longer exposed on the Internet by default, it's now a deliberate choice  
- it is now possible to use DNS over HTTP, DNS over TLS and DNS over QUIC, with the Let's Encrypt certificates generated by YunoHost, out of the box, but this is also disabled by default for the same reason.

To activate either of these features, please use the config panel in the YunoHost webadmin:  
Applications → AdGuard Home → AdGuard Home configuration  

- Bind to public IP addresses?  
- Enable DNS-over-HTTPS/TLS/QUIC?

It's really important to use the configuration panel to activate or deactivate the DNS-over-HTTPS/QUIC setting, and **NOT** the built-in setting in the AdGuardHome interface.  
This is because YunoHost needs to perform actions such as automatically opening or closing the server's ports and refresh the IP to provide to AdGuard Home, which cannot be done without going through the configuration panel.

Also, a new password tool has been added in the config panel too, to make it easier to change the administration password of AdGuard Home! ^w^

The "Apps" documentation also has been updated to add a tutoral explaining how to configure your AdGuard Home instance as the DNS server on Apple devices.  
You can read this "Apps" doc on the AdGuard Home page in your YunoHost Webadmin interface, just next to the "Admin" doc.

This update is at risk of crashing AdGuard Home, so:  

- If you're already using DoH, DoT or DoQ with your AdGuard Home instance: the configuration of your devices may need to be redone, I'm sorry for that.
- If any trouble or question, please refer to [the package's admin docs](https://github.com/YunoHost-Apps/adguardhome_ynh/blob/master/doc/ADMIN.md)! In any case, we recommend reading it! ^w^  
- If needed and a similar issue does not already exist, please [open an issue on the GitHub's package page](https://github.com/YunoHost-Apps/adguardhome_ynh/issues)!
